Draft Trimex/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(12 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Draft_Offset|Offset]]
|[[Draft_Offset|Offset]]
|[[Draft_Join|Join]]
|[[Draft_Stretch|Stretch]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Offset.svg
|IconL=Draft_Offset.svg
|IconR=Draft_Stretch.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Join.svg
}}
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ro
{{GuiCommand/ro|Name=Draft Trimex|Name/ro=Draft Trimex|Workbenches=[[Draft Module/ro|Draft]], [[Arch Module/ro|Arch]]|MenuLocation=Draft → Trim/Extend|Shortcut=T R|SeeAlso=[[Part Extrude/ro|Part Extrude]]}}
|Name=Draft Trimex
|Name/ro=Draft Trimex
|MenuLocation=Draft → Trim/Extend
|Workbenches=[[Draft_Workbench/ro|Draft]], [[Arch_Workbench/ro|Arch]]
|Shortcut={{KEY|T}} {{KEY|R}}
|SeeAlso=[[Part Extrude/ro|Part Extrude]]
}}
</div>
</div>


<span id="Description"></span>
==Descriere==
==Descriere==


Line 18: Line 27:
Acest instrument taie/scurtează și/sau extinde linii și polilinii, și extrudează fațete.
Acest instrument taie/scurtează și/sau extinde linii și polilinii, și extrudează fațete.
</div>
</div>

The Trimex tool also extrudes faces created from closed wires. In this sense, it's similar to [[Part Extrude|Part Extrude]] and to [[PartDesign Pad|PartDesign Pad]].


[[Image:Draft trimex example.jpg|400px]]
[[Image:Draft trimex example.jpg|400px]]
{{Caption|Wire segment extended, then wire segment trimmed; face extruded into a solid body}}
{{Caption|Top: a Draft Wire extended and then trimmed.<br>
Bottom: a face extruded into a solid body.}}


==Trim or extend==
<div class="mw-translate-fuzzy">

== Cum se folosește ==
===Usage===
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 34: Line 42:
</div>
</div>


===Options===
Trimming or extending is decided from the position of the pointer.
* If the line is short it can be extended to approach and cross another line.
* If the line is long and crosses another line, the excess length can be trimmed.
* If the pointer is moved over another object or edge, the trim-extend operation will snap to that object, so that the trimmed or extended line ends exactly at the intersection with the object. This snapping works even without [[Draft Snap|Draft Snap]] modes active.


The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.
A [[Draft Wire|Draft Wire]] allows you to trim or extend any of its individual segments, which may affect the entire shape of the wire. In this case, the Trimex tool will work on the line segment that is closer to the pointer. Hold the {{KEY|Shift}} key to keep trimming or extending the current segment independently of the position of the pointer.


* Hold down {{KEY|Alt}} to invert the default result of the command.
When the selected object is a face, the Trimex tool switches to {{Emphasis|extrude}} mode. In extrude mode the extrusion is done in the direction of the normal of the face. For example, if a rectangle lies on the XY plane, it should be extruded in the Z direction. To do this correctly, pressing the {{KEY|Z}} key may be necessary to constrain the distance to the Z direction. Alternatively, hold the {{KEY|Shift}} key to extrude in any direction that is not the normal.
* Hold down {{KEY|Shift}} to restrict the operation to the current segment of a [[Draft_Wire|Draft Wire]].
* Press {{KEY|S}} to switch [[Draft_Snap|Draft snapping]] on or off.


Here is an example to explain the modifier keys. The left edge or the bottom edge of the U-shaped wire was extended. All [[Draft_Snap|Draft Snaps]] were turned off.
== Opţiuni ==

[[Image:Draft_Trimex_example2.png]]


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 52: Line 61:
* Când obiectul selectat este o față sau o față este selectată dintr-un obiect existent, instrumentul trimex trece în modul extruder. În modul extrudat, apăsarea tastei {{KEY | SHIFT}} eliberează extrudarea de pe fața normală și permite fixarea în altă parte.
* Când obiectul selectat este o față sau o față este selectată dintr-un obiect existent, instrumentul trimex trece în modul extruder. În modul extrudat, apăsarea tastei {{KEY | SHIFT}} eliberează extrudarea de pe fața normală și permite fixarea în altă parte.
</div>
</div>

==Extrude==

===Usage===

See also: [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].

# It can be helpful to first change the [[Draft_SelectPlane|Draft working plane]] so that it is not coplanar with the face you want to extrude.
# Optionally select a single face or an object with a single face.
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Draft_Trimex.svg|16px]] [[Draft_Trimex|Draft Trimex]]}} button.
#* Select the {{MenuCommand|Modification → [[Image:Draft_Trimex.svg|16px]] Trimex}} option from the menu.
#* Use the keyboard shortcut: {{KEY|T}} then {{KEY|R}}.
# If you have not yet selected an object or a face: select an object with a single face in the [[3D_view|3D view]].
# The {{MenuCommand|Trimex}} task panel opens. See [[#Options_2|Options]] for more information.
# To define the extrusion direction and distance do one of the following:
#* Pick a point in the [[3D_view|3D view]] that does no lie on the same plane as the face.
#* Make sure the pointer is on the correct side of the face in the [[3D_view|3D view]] and enter a {{MenuCommand|Distance}}.

===Options===

The modifier key mentioned here can be changed. See [[Draft_Preferences|Draft Preferences]].

* Hold {{KEY|Shift}} to extrude in a direction that is not parallel to the normal of the face.

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 60: Line 95:
Nu este disponibil. A se vedea instrumentul [[Part Extrude]].
Nu este disponibil. A se vedea instrumentul [[Part Extrude]].
</div>
</div>

{{Code|code=
extrusion = extrude(obj, vector, solid=False)
}}

* {{incode|obj}} is the object to be extruded.
* {{incode|vector}} is the extrusion direction and distance.
* If {{incode|solid}} is {{incode|True}} a solid is created instead of a shell.
* {{incode|extrusion}} is returned with the created object.

Example:

{{Code|code=
import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(1500, 500)
doc.recompute()

vector = App.Vector(0, 0, 300)
solid = Draft.extrude(rectangle, vector, solid=True)
doc.recompute()
}}



{{Docnav
{{Docnav
|[[Draft_Offset|Offset]]
|[[Draft_Offset|Offset]]
|[[Draft_Join|Join]]
|[[Draft_Stretch|Stretch]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Offset.svg
|IconL=Draft_Offset.svg
|IconR=Draft_Stretch.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Join.svg
}}
}}


{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 05:05, 9 January 2024

Draft Trimex

poziția meniului
Draft → Trim/Extend
Ateliere
Draft, Arch
scurtătură
T R
Prezentat în versiune
-
A se vedea, de asemenea,
Part Extrude

Descriere

Acest instrument taie/scurtează și/sau extinde linii și polilinii, și extrudează fațete.

Top: a Draft Wire extended and then trimmed.
Bottom: a face extruded into a solid body.

Trim or extend

Usage

  1. Selectați filamentul/polilinia pe care doriți să-l tăiați sau extindeți sau selectați o fațetă pe care doriți să o extrudați
  2. Apăsați butonul Draft Trimex sau apăsați tatele T apoi R
  3. Faceți clic pe un punct din vizualizarea 3D

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Hold down Alt to invert the default result of the command.
  • Hold down Shift to restrict the operation to the current segment of a Draft Wire.
  • Press S to switch Draft snapping on or off.

Here is an example to explain the modifier keys. The left edge or the bottom edge of the U-shaped wire was extended. All Draft Snaps were turned off.

  • tăierea sau extinderea este decisă automat din poziția mouse-ului
  • dacă mutați cursorul mouse-ului peste un alt obiect, operația de ajustare / extindere se va apropia de acel obiect sau segment
  • apăsând SHIFT va constrain pe segmentul în curs de curățare sau extindere
  • apăsând ALT va inversa direcția de tăiere
  • Când obiectul selectat este o față sau o față este selectată dintr-un obiect existent, instrumentul trimex trece în modul extruder. În modul extrudat, apăsarea tastei SHIFT eliberează extrudarea de pe fața normală și permite fixarea în altă parte.

Extrude

Usage

See also: Draft Snap and Draft Constrain.

  1. It can be helpful to first change the Draft working plane so that it is not coplanar with the face you want to extrude.
  2. Optionally select a single face or an object with a single face.
  3. There are several ways to invoke the command:
    • Press the Draft Trimex button.
    • Select the Modification → Trimex option from the menu.
    • Use the keyboard shortcut: T then R.
  4. If you have not yet selected an object or a face: select an object with a single face in the 3D view.
  5. The Trimex task panel opens. See Options for more information.
  6. To define the extrusion direction and distance do one of the following:
    • Pick a point in the 3D view that does no lie on the same plane as the face.
    • Make sure the pointer is on the correct side of the face in the 3D view and enter a Distance.

Options

The modifier key mentioned here can be changed. See Draft Preferences.

  • Hold Shift to extrude in a direction that is not parallel to the normal of the face.

Scripting

Scrip-Programare

Nu este disponibil. A se vedea instrumentul Part Extrude.

extrusion = extrude(obj, vector, solid=False)
  • obj is the object to be extruded.
  • vector is the extrusion direction and distance.
  • If solid is True a solid is created instead of a shell.
  • extrusion is returned with the created object.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(1500, 500)
doc.recompute()

vector = App.Vector(0, 0, 300)
solid = Draft.extrude(rectangle, vector, solid=True)
doc.recompute()